# Interface MDirtyable

All Known Subinterfaces:
  `MCompositePart, MPart`

All Known Implementing Classes:
  `CompositePartImpl, PartImpl`

public interface MDirtyable
A representation of the model object 'Dirtyable'.

This class should be mixed into any UI element that should participate in the dirty / save handling. Parts are the most likely scenario for this but it exists as a mix-in to allow for future model extensions.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Dirty`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDirty()`
Returns the value of the 'Dirty' attribute.
`void`
`setDirty(boolean value)`
Sets the value of the '`Dirty`' attribute.

## Method Details

### isDirty

boolean isDirty()
Returns the value of the 'Dirty' attribute.

The current dirty state of the UI element.

Returns:
  the value of the 'Dirty' attribute.
See Also:
  - `setDirty(boolean)`

### setDirty

void setDirty(boolean value)
Sets the value of the '`Dirty`' attribute.

Parameters:
  `value` - the new value of the 'Dirty' attribute.
See Also:
  - `isDirty()`